Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Puppet
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Puppet
ID: USN-1419-1
Distribution: Ubuntu
Plattformen: Ubuntu 10.04 LTS, Ubuntu 11.04, Ubuntu 11.10
Datum: Mi, 11. April 2012, 09:23
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1906
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1986
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1987
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1988
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1989
Applikationen: Puppet

Originalnachricht


--===============2263536588800638763==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="17pEHd4RhPHOinZp"
Content-Disposition: inline


--17pEHd4RhPHOinZp
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

==========================================================================
Ubuntu Security Notice USN-1419-1
April 11, 2012

puppet vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 11.10
- Ubuntu 11.04
- Ubuntu 10.04 LTS

Summary:

Several security issues were fixed in puppet.

Software Description:
- puppet: Centralized configuration management

Details:

It was discovered that Puppet used a predictable filename when downloading Mac
OS X package files. A local attacker could exploit this to overwrite arbitrary
files. (CVE-2012-1906)

It was discovered that Puppet incorrectly handled filebucket retrieval
requests. A local attacker could exploit this to read arbitrary files.
(CVE-2012-1986)

It was discovered that Puppet incorrectly handled filebucket store requests. A
local attacker could exploit this to perform a denial of service via resource
exhaustion. (CVE-2012-1987)

It was discovered that Puppet incorrectly handled filebucket requests. A local
attacker could exploit this to execute arbitrary code via a crafted file path.
(CVE-2012-1988)

It was discovered that Puppet used a predictable filename for the Telnet
connection log file. A local attacker could exploit this to overwrite arbitrary
files. This issue only affected Ubuntu 11.10. (CVE-2012-1989)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 11.10:
puppet-common 2.7.1-1ubuntu3.6

Ubuntu 11.04:
puppet-common 2.6.4-2ubuntu2.9

Ubuntu 10.04 LTS:
puppet-common 0.25.4-2ubuntu6.7

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-1419-1
CVE-2012-1906, CVE-2012-1986, CVE-2012-1987, CVE-2012-1988,
CVE-2012-1989

Package Information:
https://launchpad.net/ubuntu/+source/puppet/2.7.1-1ubuntu3.6
https://launchpad.net/ubuntu/+source/puppet/2.6.4-2ubuntu2.9
https://launchpad.net/ubuntu/+source/puppet/0.25.4-2ubuntu6.7


--17pEHd4RhPHOinZp
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPhR/cAAoJENaSAD2qAscKXioP/RjGnuTETgGbcmcs4dw+ayfK
v6yuGNhQvBE6tGXqKk0RYIa/dbbNFouD65H8LzAPzJwZb0zJ7en2eaOzRZNlrDtu
PW2smW7BK1X/KZM2KGGu5oLXpBh6btDsIjDH+G/q2lmBjrNXhlLUplwcpBwZU2TH
lCC08YENiUzdmzzkIb8vgw0ya6EhNGRA0+6m/O1djrfwCFM0LwBevyctVSRWz/Mf
0D3fKgg2XuDOamNpZMt/YXELBzF6WzJTEVFJAqT9zXbfqAX/174HMViy6sj1Bi7o
zALoBxwRFVVwgEBC8n6ESMbHQqUQ9bwF/vf2/0OLHkeQnmLvuyd345FX0DWxTG1T
0SJv2euovGPMe38Q44oxKnho3zW1FH0bgk+1qhrTCZwA1QhRrIYzlS4NV5nk9xTn
pEBkoRlFNJ9LeRlEboFa7w9ZbQDgfoGnOxE46hzw9qys9zh98RiG+52MfqXfChHm
cjWyU0v7Eps1WAEUSXmXDNTQ9I5a7QoEdMMj+Ra/Cd4sYiaCd5Igr1JHUhWi4Jyz
YdGmejszcFJz3pIPL/zaFAVC6m0F7J550Fu+S+xLMDWYfmExmo+Cp8CfguSCYMpv
lS+B43LsdENxTt3Kk3+gCdYFEqqMTFgcfzBfF5wOfyt4KkgOOy0rsYwa/fC4apGo
zhiF60+Z4qQiT6hZ/8xw
=77nr
-----END PGP SIGNATURE-----

--17pEHd4RhPHOinZp--


--===============2263536588800638763==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============2263536588800638763==--
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung